/*
 * @FilePath: \wwwd:\code\screenFront\src\router\index.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-01-29 15:16:36
 * @Description:
 *
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */

import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/child",
    name: "child",
    component: () => import("../views/child/index.vue"),
    children: [
      //理论二级
      {
        path: "/Mechanics",
        name: "Mechanics",
        component: () => import("../views/Mechanics/index.vue"),
      },
      {
        path: "/demo",
        name: "demo",
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () =>
          import(/* webpackChunkName: "about" */ "../views/demo/demo.vue"),
      },
      {
        path: "/index",
        name: "index",
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () => import("../views/index.vue"),
      },
      {
        path: "/environment",
        name: "environment",
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () => import("../views/environment/index.vue"),
      },
      {
        path: "/generalEnvironment",
        name: "generalEnvironment",
        component: () => import("../views/generalEnvironment/index.vue"),
      },
      {
        path: "/realtimeSecurity",
        name: "realtimeSecurity",
        component: () => import("../views/realtimeSecurity/index.vue"),
      },
      {
        path: "/energyConsume",
        name: "energyConsume",
        children: [
          {
            path: "/energyConsume/",
            component: () => import("../views/energyConsume/index.vue"),
          },
          {
            path: "/energyConsume/historyData",
            component: () =>
              import("../views/energyConsume/content/child/historyData.vue"),
          },
        ],
      },
      {
        path: "/InPlantProducts",
        name: "InPlantProducts",
        component: () => import("../views/InPlantProducts/index.vue"),
      },
      {
        path: "/Offsite",
        name: "Offsite",
        children: [
          {
            path: "/Offsite/",
            name:"offSiteIndex",
            component: () => import("../views/Offsite/index.vue"),
          },
          {
            path: "/Offsite/devList/:city",
            name:"offSiteDevList",
            component: () => import("../views/Offsite/child/index.vue"),
          },
        ],
      },
      {
        path: "/MicrofactoryDev",
        name: "MicrofactoryDev",
        component: () => import("../views/MicrofactoryDev/index.vue"),
      },

      {
        path: "/PaintShopView",
        name: "PaintShopView",
        component: () => import("../views/PaintShopView/View1/index.vue"),
      },
      {
        path: "/stuffView",
        name: "stuffView",
        component: () => import("../views/PaintShopView/stuffView/index.vue"),
      },
      {
        path: "/machiningView",
        name: "machiningView",
        component: () =>
          import("../views/PaintShopView/machiningView/index.vue"),
      },
      {
        path: "/finishView",
        name: "finishView",
        component: () => import("../views/PaintShopView/finishView/index.vue"),
      },
      {
        path: "/weldView",
        name: "weldView",
        component: () => import("../views/PaintShopView/weldView/index.vue"),
      },
      {
        path: "/realtimeSecurityJixie",
        name: "realtimeSecurityJixie",
        component: () =>
          import("../views/realtimeSecurityJixiefenchang/index.vue"),
      },
      {
        path: "/energyConsumejixie",
        name: "energyConsumejixie",
        children: [
          {
            path: "/energyConsumejixie/",
            component: () =>
              import("../views/energyConsumeJixiefenchang/index.vue"),
          },
          {
            path: "/energyConsumejixie/historyData",
            component: () =>
              import(
                "../views/energyConsumeJixiefenchang/content/child/historyData.vue"
              ),
          },
        ],
      },
      {
        path: "/generalEnvironmentjixiefenchang",
        name: "generalEnvironmentjixiefenchang",
        component: () =>
          import("../views/generalEnvironmentjixiefenchang/index.vue"),
      },
      {
        path: "/FactoryView",
        name: "FactoryView",
        component: () => import("../views/FactoryView/index.vue"),
      },
      {
        path: "/FactoryView/:type",
        name: "FactoryViewEdit",
        component: () => import("../views/FactoryView/index.vue"),
      },
      {
        path: "/electronicControl",
        name: "electronicControl",
        component: () => import("../views/electronicControl/index.vue"),
      },
      {
        path: "/electronicControlAmbient",
        name: "electronicControlAmbient",
        component: () => import("../views/electronicControlAmbient/index.vue"),
      },
      {
        path: "/legionProducts/:deptId",
        name: "legionProducts",
        component: () => import("../views/legionProducts/index.vue"),
      },
      {
        path: "/pmData",
        name: "pmData",
        component: () => import("../views/pmData/index.vue"),
      },
      {
        path: "/electronicControl",
        name: "electronicControl",
        component: () => import("../views/electronicControl/index.vue"),
      },
      {
        path: "/electronicControlAmbient",
        name: "electronicControlAmbient",
        component: () => import("../views/electronicControlAmbient/index.vue"),
      },
      {
        path: "/",
        name: "index",
        component: () => import("../views/index.vue"),
      },

      {
        path: "/InPlantProducts/:id/:label/:name",
        name: "devItem",
        component: () => import("../views/InPlantProducts/child/index.vue"),
      },
      {
        path: "/InPlantProducts/tufting",
        name: "tufting",
        component: () => import("../views/Temp/Tufting/index.vue"),
      },
      {
        path: "/InPlantProducts/winding",
        name: "Winding",
        component: () => import("../views/Temp/Winding/index.vue"),
      },
      {
        path: "/InPlantProducts/Large_Format",
        name: "Large_Format",
        component: () => import("../views/Temp/Large_Format/index.vue"),
      },
      {
        path: "/InPlantProducts/GetonAgain",
        name: "GetonAgain",
        component: () => import("../views/Temp/GetonAgain/index.vue"),
      },
      {
        path: "/InPlantProducts/OffsiteDevList",
        name: "OffsiteDevList",
        component: () => import("../views/Temp/OffsiteDevList/index.vue"),
      },
      //理论二级
      {
        path: "/Mechanics/:id",
        name: "Mechanicschild",
        component: () => import("../views/Mechanics/child/index.vue"),
      },
      //理论三级
      {
        path: "/Mechanics/:id/:dev",
        name: "Mechanicsson",
        component: () => import("../views/Mechanics/child/son/index.vue"),
      },
    ],
  },
  {
    path: "/AerialView",
    name: "AerialView",
    component: () => import("../views/AerialView/index.vue"),
  },
  {
    path: "/MechanicalView",
    name: "MechanicalView",
    component: () => import("../views/MechanicalView/index.vue"),
  },
  {
    path: "/MechanicalViewEdit",
    name: "MechanicalViewEdit",
    component: () => import("../views/MechanicalViewEdit/index.vue"),
  },
  {
    path: "/MechanicalViewDajian",
    name: "MechanicalViewDajian",
    component: () => import("../views/MechanicalView_dajian/index.vue"),
  },
  {
    path: "/MechanicalViewHanjie",
    name: "MechanicalViewHanjie",
    component: () => import("../views/MechanicalView_hanjie/index.vue"),
  },
  {
    path: "/MechanicalViewJijia",
    name: "MechanicalViewJijia",
    component: () => import("../views/MechanicalView_jijia/index.vue"),
  },
  {
    path: "/MechanicalViewJingjia",
    name: "MechanicalViewJingjia",
    component: () => import("../views/MechanicalView_jingjia/index.vue"),
  },
  {
    path: "/MechanicalViewJingshi",
    name: "MechanicalViewJingshi",
    component: () => import("../views/MechanicalView_jingshi/index.vue"),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
